GROUPMEMS(8)

NOM
groupmems - Administrer les membres du groupe primaire d'un utilisateur

SYNOPSIS

groupmems -a user_name | -d user_name | [-g group_name] | -l | -p

DESCRIPTION

The groupmems command allows a user to administer their own group membership list without the requirement of superuser privileges. The groupmems utility is for systems that configure its users to be in their own name sake primary group (i.e., guest / guest).

Only the superuser, as administrator, can use groupmems to alter the memberships of other groups.

OPTIONS

The options which apply to the groupmems command are:

-a, --add user_name
    Ajouter un utilisateur à la liste des membres du groupe.

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-d, --delete user_name
    Supprimer un utilisateur de la liste des membres du groupe.

    If the /etc/gshadow file exist, the user will be removed from the list of members and administrators of the group.

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-g, --group group_name
    Le superutilisateur peut préciser la liste des membres du groupe à modifier.

-h, --help
    Afficher un message d'aide et quitter.

-l, --list
    Afficher la liste des membres du groupe.

-p, --purge
    Supprimer tous les utilisateurs de la liste des membres du groupe.

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

CONFIGURATION

In this operating system the groupmems executable is not setuid and regular users cannot use it to manipulate the membership of their own group.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    informations cachées sur les groupes

VOIR AUSSI

chfn(1), chsh(1), passwd(1), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).